awgn.c File Reference
`#include <stdlib.h>`
`#include <inttypes.h>`
`#include "floating_fudge.h"`
`#include "spandsp/telephony.h"`
`#include "spandsp/fast_convert.h"`
`#include "spandsp/saturated.h"`
`#include "spandsp/awgn.h"`
`#include "spandsp/private/awgn.h"`

## Macros

#define | M1 259200
#define | IA1 7141
#define | IC1 54773
#define | RM1 (1.0/M1)
#define | M2 134456
#define | IA2 8121
#define | IC2 28411
#define | RM2 (1.0/M2)
#define | M3 243000
#define | IA3 4561
#define | IC3 51349

## Functions

awgn_state_t * | awgn_init_dbov (awgn_state_t *s, int idum, float level)
awgn_state_t * | awgn_init_dbm0 (awgn_state_t *s, int idum, float level)
int | awgn_release (awgn_state_t *s)
int | awgn_free (awgn_state_t *s)
int16_t | awgn (awgn_state_t *s)